Net::DNS::RR::TXT(3)

NAME
Net::DNS::RR::TXT - DNS TXT resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
Class for DNS Text (TXT) resource records.

METHODS

  txtdata
    print "txtdata = ", $rr->txtdata, "\n";

Returns the descriptive text as a single string, regardless of actual number of <character-string> elements. Of questionable value. Should be deprecated.

Use "$txt->rdatastr()" or "$txt->char_str_list()" instead.

  char_str_list
 print "Individual <character-string> list: \n\t",
       join("\n\t", $rr->char_str_list());

Returns a list of the individual <character-string> elements, as unquoted strings. Used by TXT->rdatastr and TXT->rr_rdata.

COPYRIGHT
Copyright (c) 1997-2002 Michael Fuhr.

Portions Copyright (c) 2002-2004 Chris Reinhardt.

All rights reserved. This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, RFC 1035 Section 3.3.14